Bug 2268583 - [abrt] gnome-software: gtk_widget_get_parent_muxer.constprop.0(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gtk_widget_get_parent_muxer.constprop.0(): gnome-softw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk4
Version: 40
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f387d3fa29efcf567e780f05f85...
: 2268586 2268592 2269023 (view as bug list)
Depends On:
Blocks: F40BetaFreezeException F40FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2024-03-08 12:56 UTC by Michael Catanzaro
Modified: 2024-03-20 19:55 UTC (History)
10 users (show)

Fixed In Version: gtk4-4.13.9-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-20 19:55:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.49 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: maps (4.00 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: environ (1.58 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: open_fds (8.69 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: mountinfo (3.36 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: os_info (756 bytes, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: cpuinfo (3.35 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (71.49 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: exploitable (81 bytes, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: dso_list (172 bytes, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (14.75 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details
File: backtrace (150.94 KB, text/plain)
2024-03-08 12:56 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2024-03-08 12:56:27 UTC
Description of problem:
GNOME Software is very crashy and unreliable in Fedora 40. I think it usually crashes when installing an application, but I'm not certain.

Version-Release number of selected component:
gnome-software-46~beta-1.fc40

Additional info:
reporter:       libreport-2.17.14
type:           CCpp
reason:         gnome-software killed by SIGSEGV
journald_cursor: s=70ed1556b2714f29a3b32534454c4fcd;i=2ff4;b=81dc47511bbe446591a17086cd5bfda5;m=149a7a7b;t=61319294dc2df;x=52587aa3844a9bb0
executable:     /usr/bin/gnome-software
cmdline:        /usr/bin/gnome-software --gapplication-service
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-2995.scope
rootdir:        /
uid:            1000
kernel:         6.8.0-0.rc6.49.fc40.x86_64
package:        gnome-software-46~beta-1.fc40
runlevel:       N 5
backtrace_rating: 4
crash_function: gtk_widget_get_parent_muxer.constprop.0
comment:        GNOME Software is very crashy and unreliable in Fedora 40. I think it usually crashes when installing an application, but I'm not certain.

Truncated backtrace:
Thread no. 1 (56 frames)
 #0 gtk_widget_get_parent_muxer.constprop.0 at ../gtk/gtkwidget.c:10998
 #1 _gtk_widget_update_parent_muxer at ../gtk/gtkwidget.c:11018
 #2 gtk_widget_unroot at ../gtk/gtkwidget.c:2506
 #3 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #4 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #5 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #6 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #7 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #8 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #9 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #10 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #11 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #12 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #13 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #14 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #15 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #16 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #17 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #18 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #19 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #20 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #21 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #22 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #23 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #24 gtk_widget_forall at ../gtk/gtkwidget.c:12275
 #25 gtk_widget_real_unroot at ../gtk/gtkwidget.c:805
 #26 gtk_widget_unroot at ../gtk/gtkwidget.c:2508
 #27 gtk_widget_unparent at ../gtk/gtkwidget.c:2586
 #28 adw_carousel_remove at ../src/adw-carousel.c:1368
 #29 gs_widget_remove_all at ../src/gs-common.c:35
 #30 gs_screenshot_carousel_load_screenshots at ../src/gs-screenshot-carousel.c:136
 #32 gs_details_page_refresh_screenshots at ../src/gs-details-page.c:784
 #33 gs_details_page_load_stage2 at ../src/gs-details-page.c:1951
 #34 gs_details_page_load_stage1_cb at ../src/gs-details-page.c:2034
 #35 g_task_return_now at ../gio/gtask.c:1361
 #36 g_task_return at ../gio/gtask.c:1430
 #38 run_job_cb at ../lib/gs-plugin-loader.c:3531
 #39 g_task_return_now at ../gio/gtask.c:1361
 #40 g_task_return at ../gio/gtask.c:1430
 #42 finish_run at ../lib/gs-plugin-job-refine.c:851
 #43 run_cb at ../lib/gs-plugin-job-refine.c:822
 #44 g_task_return_now at ../gio/gtask.c:1361
 #45 g_task_return at ../gio/gtask.c:1430
 #47 finish_refine_internal_recursion at ../lib/gs-plugin-job-refine.c:697
 #48 recursive_internal_refine_cb at /usr/include/glib-2.0/glib/gmem.h:242
 #49 g_task_return_now at ../gio/gtask.c:1361
 #50 g_task_return at ../gio/gtask.c:1430
 #52 finish_refine_internal_recursion at ../lib/gs-plugin-job-refine.c:697
 #53 finish_refine_internal_op at ../lib/gs-plugin-job-refine.c:650
 #54 rewrite_resources_cb at /usr/include/glib-2.0/glib/gmem.h:242
 #55 g_task_return_now at ../gio/gtask.c:1361
 #56 complete_in_idle_cb at ../gio/gtask.c:1375
 #59 g_main_context_dispatch_unlocked at ../glib/gmain.c:4152
 #60 g_main_context_iterate_unlocked.isra.0 at ../glib/gmain.c:4217
 #61 g_main_context_iteration at ../glib/gmain.c:4282
 #62 g_application_run at ../gio/gapplication.c:2613

Comment 1 Michael Catanzaro 2024-03-08 12:56:31 UTC
Created attachment 2020595 [details]
File: proc_pid_status

Comment 2 Michael Catanzaro 2024-03-08 12:56:33 UTC
Created attachment 2020596 [details]
File: maps

Comment 3 Michael Catanzaro 2024-03-08 12:56:34 UTC
Created attachment 2020597 [details]
File: limits

Comment 4 Michael Catanzaro 2024-03-08 12:56:35 UTC
Created attachment 2020598 [details]
File: environ

Comment 5 Michael Catanzaro 2024-03-08 12:56:37 UTC
Created attachment 2020599 [details]
File: open_fds

Comment 6 Michael Catanzaro 2024-03-08 12:56:38 UTC
Created attachment 2020600 [details]
File: mountinfo

Comment 7 Michael Catanzaro 2024-03-08 12:56:40 UTC
Created attachment 2020601 [details]
File: os_info

Comment 8 Michael Catanzaro 2024-03-08 12:56:41 UTC
Created attachment 2020602 [details]
File: cpuinfo

Comment 9 Michael Catanzaro 2024-03-08 12:56:43 UTC
Created attachment 2020603 [details]
File: core_backtrace

Comment 10 Michael Catanzaro 2024-03-08 12:56:44 UTC
Created attachment 2020604 [details]
File: exploitable

Comment 11 Michael Catanzaro 2024-03-08 12:56:46 UTC
Created attachment 2020605 [details]
File: dso_list

Comment 12 Michael Catanzaro 2024-03-08 12:56:47 UTC
Created attachment 2020606 [details]
File: var_log_messages

Comment 13 Michael Catanzaro 2024-03-08 12:56:49 UTC
Created attachment 2020607 [details]
File: backtrace

Comment 14 Milan Crha 2024-03-11 08:48:09 UTC
*** Bug 2268586 has been marked as a duplicate of this bug. ***

Comment 15 Milan Crha 2024-03-11 08:52:23 UTC
*** Bug 2268592 has been marked as a duplicate of this bug. ***

Comment 16 Milan Crha 2024-03-11 09:00:34 UTC
All the bugs you filled are crashing in the gtk code, sometimes deeper, sometimes less deep. They also mostly happen when widgets are removed, from what I saw.

The dso_list attachment it useless. What is your gtk4 package version, please?

I guess this is broken due to bug #2265734, which had been fixed, in gtk, only recently, on February 26. Whether they introduced more faults I do not know. I move this to the gtk4 for further investigation.

Comment 17 Milan Crha 2024-03-11 09:15:11 UTC
I see there is a built 4.13.9 version of the gtk4 in koji, but there's no update filled for it, thus it doesn't show anywhere in bodhi.

@David could you create bodhi updates for the latest gtk4, please? Both rawhide and f40, ideally.

@Michael, maybe you can use the koji build and retest with it. https://koji.fedoraproject.org/koji/buildinfo?buildID=2415399

Comment 18 Fedora Blocker Bugs Application 2024-03-11 13:28:22 UTC
Proposed as a Freeze Exception for 40-final by Fedora user asciiwolf using the blocker tracking app because:

 Memory corruption issue in GTK4 causes GNOME Software to crash very often when browsing apps. It is fixed in a 4.13.9-1 gtk4 build that is currently available in Koji and needs to be pushed to Fedora.

Comment 19 Michael Catanzaro 2024-03-11 15:17:01 UTC
(In reply to Milan Crha from comment #16)
> What is your gtk4 package version, please?

gtk4-4.13.8-2.fc40, so older than the 4.13.9-1 that we think is fixed.

Comment 20 Kamil Páral 2024-03-11 15:42:32 UTC
A possible duplicate is bug 2269023 (different backtrace, but could have the same root cause).

Comment 21 Kamil Páral 2024-03-11 15:45:06 UTC
(In reply to Fedora Blocker Bugs Application from comment #18)

I assume this was supposed to be proposed as a beta freeze exception, fixing flags.

Comment 22 Milan Crha 2024-03-11 15:49:46 UTC
*** Bug 2269023 has been marked as a duplicate of this bug. ***

Comment 23 Adam Williamson 2024-03-11 16:54:08 UTC
4.13.9-1 has now been submitted, but only as part of the big 46-rc update, which we cannot pull into Beta because it causes https://bugzilla.redhat.com/show_bug.cgi?id=2268648 .

Comment 24 Adam Williamson 2024-03-12 01:39:56 UTC
Discussed at today's blocker review meeting: https://meetbot-raw.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-03-11/f40-blocker-review.2024-03-11-16.00.html . This is accepted as a Beta FE, but as with the mutter bug, only if the fix can somehow be separated out of the 46-rc megaupdate and shipped separately. We did not approve the 46-rc megaupdate itself for an FE.

Comment 25 Fedora Update System 2024-03-18 17:39:39 UTC
FEDORA-2024-a74ce3e5c4 (adwaita-icon-theme-46~rc-1.fc40, at-spi2-core-2.51.91-1.fc40, and 26 more) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-a74ce3e5c4

Comment 26 Adam Williamson 2024-03-18 17:40:22 UTC
The 46-rc megaupdate now has an FE, so I've marked it as fixing this bug, as it ought to. Can someone confirm that it's fixed with that update in place?

Comment 27 Milan Crha 2024-03-19 08:06:25 UTC
> Can someone confirm that it's fixed with that update in place?

I gave it a try and I cannot reproduce the crash I see with the previous gtk4 version, thus, if not completely fixed, it's much harder to reproduce the crash now (while I think it is completely fixed, but there were no exact steps to reproduce the crash, just in gnome-software click an app, back, click another app, back, click another app, back, click... until it crashed, which could take 3-5 apps with the previous gtk4 here).

Comment 28 Kamil Páral 2024-03-19 11:08:10 UTC
I tested with the previous gtk4 version and with the update, and I was able to make gnome-software crash with the older gtk4, while it didn't happen with the update. So I think we can consider this fixed.

Comment 29 Fedora Update System 2024-03-20 19:55:57 UTC
FEDORA-2024-a74ce3e5c4 (adwaita-icon-theme-46~rc-1.fc40, at-spi2-core-2.51.91-1.fc40, and 26 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.